Package com.sas.lsaf.query

## Enum Condition.Operator

- java.lang.Object
- - java.lang.Enum<Condition.Operator>
  - - com.sas.lsaf.query.Condition.Operator

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Condition.Operator>`
  Enclosing class:
    Condition

      public static enum Condition.Operator
      extends java.lang.Enum<Condition.Operator>

  The method by which to combine conditions for a query.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AND` |
    `OR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Condition.Operator` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Condition.Operator[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AND

          public static final Condition.Operator AND

    - #### OR

          public static final Condition.Operator OR

  - ### Method Detail

    - #### values

          public static Condition.Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Condition.Operator c : Condition.Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Condition.Operator valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null